package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Mensaje;
import com.rjconsultores.ventaboletos.entidad.MensajeEmpresa;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface MensajeEmpresaService {

	public List<MensajeEmpresa> obtenerTodos();
	
	public List<MensajeEmpresa> obtenerPorMensaje(Mensaje mensaje);

	public MensajeEmpresa obtenerID(Integer id);

	public void borrar(MensajeEmpresa entidad);

	public MensajeEmpresa suscribirActualizar(MensajeEmpresa entidad) throws BusinessException;

}